<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzya.frame.plugin.lets.dao.impl.BdBankaccbasDaoImpl">

    <resultMap id="get-BdBankaccbasEntity-result" type="com.hzya.frame.plugin.lets.entity.BdBankaccbasEntity">
        <result property="accattribute" column="accattribute" jdbcType="INTEGER"/>
        <result property="accclass" column="accclass" jdbcType="INTEGER"/>
        <result property="accopendate" column="accopendate" jdbcType="VARCHAR"/>
        <result property="account" column="account" jdbcType="VARCHAR"/>
        <result property="accountcode" column="accountcode" jdbcType="VARCHAR"/>
        <result property="accountname" column="accountname" jdbcType="VARCHAR"/>
        <result property="accountproperty" column="accountproperty" jdbcType="INTEGER"/>
        <result property="accstate" column="accstate" jdbcType="INTEGER"/>
        <result property="acctype" column="acctype" jdbcType="INTEGER"/>
        <result property="accxhdate" column="accxhdate" jdbcType="VARCHAR"/>
        <result property="arapprop" column="arapprop" jdbcType="INTEGER"/>
        <result property="areacode" column="areacode" jdbcType="VARCHAR"/>
        <result property="bankarea" column="bankarea" jdbcType="VARCHAR"/>
        <result property="city" column="city" jdbcType="VARCHAR"/>
        <result property="combineaccnum" column="combineaccnum" jdbcType="VARCHAR"/>
        <result property="concertedmny" column="concertedmny" jdbcType="NUMERIC"/>
        <result property="contactpsn" column="contactpsn" jdbcType="VARCHAR"/>
        <result property="corrgeneaccount" column="corrgeneaccount" jdbcType="VARCHAR"/>
        <result property="createtime" column="createtime" jdbcType="VARCHAR"/>
        <result property="creator" column="creator" jdbcType="VARCHAR"/>
        <result property="custcode" column="custcode" jdbcType="VARCHAR"/>
        <result property="def1" column="def1" jdbcType="VARCHAR"/>
        <result property="def10" column="def10" jdbcType="VARCHAR"/>
        <result property="def11" column="def11" jdbcType="VARCHAR"/>
        <result property="def12" column="def12" jdbcType="VARCHAR"/>
        <result property="def13" column="def13" jdbcType="VARCHAR"/>
        <result property="def14" column="def14" jdbcType="VARCHAR"/>
        <result property="def15" column="def15" jdbcType="VARCHAR"/>
        <result property="def16" column="def16" jdbcType="VARCHAR"/>
        <result property="def17" column="def17" jdbcType="VARCHAR"/>
        <result property="def18" column="def18" jdbcType="VARCHAR"/>
        <result property="def19" column="def19" jdbcType="VARCHAR"/>
        <result property="def2" column="def2" jdbcType="VARCHAR"/>
        <result property="def20" column="def20" jdbcType="VARCHAR"/>
        <result property="def21" column="def21" jdbcType="VARCHAR"/>
        <result property="def22" column="def22" jdbcType="VARCHAR"/>
        <result property="def23" column="def23" jdbcType="VARCHAR"/>
        <result property="def24" column="def24" jdbcType="VARCHAR"/>
        <result property="def25" column="def25" jdbcType="VARCHAR"/>
        <result property="def26" column="def26" jdbcType="VARCHAR"/>
        <result property="def27" column="def27" jdbcType="VARCHAR"/>
        <result property="def28" column="def28" jdbcType="VARCHAR"/>
        <result property="def29" column="def29" jdbcType="VARCHAR"/>
        <result property="def3" column="def3" jdbcType="VARCHAR"/>
        <result property="def30" column="def30" jdbcType="VARCHAR"/>
        <result property="def31" column="def31" jdbcType="VARCHAR"/>
        <result property="def32" column="def32" jdbcType="VARCHAR"/>
        <result property="def33" column="def33" jdbcType="VARCHAR"/>
        <result property="def34" column="def34" jdbcType="VARCHAR"/>
        <result property="def35" column="def35" jdbcType="VARCHAR"/>
        <result property="def36" column="def36" jdbcType="VARCHAR"/>
        <result property="def37" column="def37" jdbcType="VARCHAR"/>
        <result property="def38" column="def38" jdbcType="VARCHAR"/>
        <result property="def39" column="def39" jdbcType="VARCHAR"/>
        <result property="def4" column="def4" jdbcType="VARCHAR"/>
        <result property="def40" column="def40" jdbcType="VARCHAR"/>
        <result property="def41" column="def41" jdbcType="VARCHAR"/>
        <result property="def42" column="def42" jdbcType="VARCHAR"/>
        <result property="def43" column="def43" jdbcType="VARCHAR"/>
        <result property="def44" column="def44" jdbcType="VARCHAR"/>
        <result property="def45" column="def45" jdbcType="VARCHAR"/>
        <result property="def5" column="def5" jdbcType="VARCHAR"/>
        <result property="def6" column="def6" jdbcType="VARCHAR"/>
        <result property="def7" column="def7" jdbcType="VARCHAR"/>
        <result property="def8" column="def8" jdbcType="VARCHAR"/>
        <result property="def9" column="def9" jdbcType="VARCHAR"/>
        <result property="defrozendate" column="defrozendate" jdbcType="VARCHAR"/>
        <result property="dr" column="dr" jdbcType="INTEGER"/>
        <result property="frozendate" column="frozendate" jdbcType="VARCHAR"/>
        <result property="frozenje" column="frozenje" jdbcType="NUMERIC"/>
        <result property="fundform" column="fundform" jdbcType="INTEGER"/>
        <result property="genebranprop" column="genebranprop" jdbcType="INTEGER"/>
        <result property="groupaccount" column="groupaccount" jdbcType="VARCHAR"/>
        <result property="groupid" column="groupid" jdbcType="VARCHAR"/>
        <result property="isinneracc" column="isinneracc" jdbcType="VARCHAR"/>
        <result property="ismargin" column="ismargin" jdbcType="VARCHAR"/>
        <result property="mainaccount" column="mainaccount" jdbcType="VARCHAR"/>
        <result property="memo" column="memo" jdbcType="VARCHAR"/>
        <result property="modifier" column="modifier" jdbcType="VARCHAR"/>
        <result property="modifytime" column="modifytime" jdbcType="VARCHAR"/>
        <result property="netqueryflag" column="netqueryflag" jdbcType="INTEGER"/>
        <result property="orgnumber" column="orgnumber" jdbcType="VARCHAR"/>
        <result property="ownercorp" column="ownercorp" jdbcType="VARCHAR"/>
        <result property="pkBankaccbas" column="pk_bankaccbas" jdbcType="VARCHAR"/>
        <result property="pkBankdoc" column="pk_bankdoc" jdbcType="VARCHAR"/>
        <result property="pkBanktype" column="pk_banktype" jdbcType="VARCHAR"/>
        <result property="pkCorp" column="pk_corp" jdbcType="VARCHAR"/>
        <result property="pkCurrtype" column="pk_currtype" jdbcType="VARCHAR"/>
        <result property="pkNetbankinftp" column="pk_netbankinftp" jdbcType="VARCHAR"/>
        <result property="pkPsnbasdoc" column="pk_psnbasdoc" jdbcType="VARCHAR"/>
        <result property="province" column="province" jdbcType="VARCHAR"/>
        <result property="qrybalanceitf" column="qrybalanceitf" jdbcType="INTEGER"/>
        <result property="remcode" column="remcode" jdbcType="VARCHAR"/>
        <result property="signflag" column="signflag" jdbcType="VARCHAR"/>
        <result property="tel" column="tel" jdbcType="VARCHAR"/>
        <result property="ts" column="ts" jdbcType="VARCHAR"/>
        <result property="unitname" column="unitname" jdbcType="VARCHAR"/>
    </resultMap>
    <!-- 查询的字段-->
    <sql id="BdBankaccbasEntity_Base_Column_List">
        accattribute
        ,accclass
        ,accopendate 
        ,account 
        ,accountcode 
        ,accountname 
        ,accountproperty 
        ,accstate 
        ,acctype 
        ,accxhdate 
        ,arapprop 
        ,areacode 
        ,bankarea 
        ,city 
        ,combineaccnum 
        ,concertedmny 
        ,contactpsn 
        ,corrgeneaccount 
        ,createtime 
        ,creator 
        ,custcode 
        ,def1 
        ,def10 
        ,def11 
        ,def12 
        ,def13 
        ,def14 
        ,def15 
        ,def16 
        ,def17 
        ,def18 
        ,def19 
        ,def2 
        ,def20 
        ,def21 
        ,def22 
        ,def23 
        ,def24 
        ,def25 
        ,def26 
        ,def27 
        ,def28 
        ,def29 
        ,def3 
        ,def30 
        ,def31 
        ,def32 
        ,def33 
        ,def34 
        ,def35 
        ,def36 
        ,def37 
        ,def38 
        ,def39 
        ,def4 
        ,def40 
        ,def41 
        ,def42 
        ,def43 
        ,def44 
        ,def45 
        ,def5 
        ,def6 
        ,def7 
        ,def8 
        ,def9 
        ,defrozendate 
        ,dr 
        ,frozendate 
        ,frozenje 
        ,fundform 
        ,genebranprop 
        ,groupaccount 
        ,groupid 
        ,isinneracc 
        ,ismargin 
        ,mainaccount 
        ,memo 
        ,modifier 
        ,modifytime 
        ,netqueryflag 
        ,orgnumber 
        ,ownercorp 
        ,pk_bankaccbas 
        ,pk_bankdoc 
        ,pk_banktype 
        ,pk_corp 
        ,pk_currtype 
        ,pk_netbankinftp 
        ,pk_psnbasdoc 
        ,province 
        ,qrybalanceitf 
        ,remcode 
        ,signflag 
        ,tel 
        ,ts 
        ,unitname
    </sql>
    <!-- 查询 采用==查询 -->
    <select id="entity_list_base" resultMap="get-BdBankaccbasEntity-result"
            parameterType="com.hzya.frame.plugin.lets.entity.BdBankaccbasEntity">
        select
        <include refid="BdBankaccbasEntity_Base_Column_List"/>
        from bd_bankaccbas
        <trim prefix="where" prefixOverrides="and">
            <if test="accattribute != null">and accattribute = #{accattribute}</if>
            <if test="accclass != null">and accclass = #{accclass}</if>
            <if test="accopendate != null and accopendate != ''">and accopendate = #{accopendate}</if>
            <if test="account != null and account != ''">and account = #{account}</if>
            <if test="accountcode != null and accountcode != ''">and accountcode = #{accountcode}</if>
            <if test="accountname != null and accountname != ''">and accountname = #{accountname}</if>
            <if test="accountproperty != null">and accountproperty = #{accountproperty}</if>
            <if test="accstate != null">and accstate = #{accstate}</if>
            <if test="acctype != null">and acctype = #{acctype}</if>
            <if test="accxhdate != null and accxhdate != ''">and accxhdate = #{accxhdate}</if>
            <if test="arapprop != null">and arapprop = #{arapprop}</if>
            <if test="areacode != null and areacode != ''">and areacode = #{areacode}</if>
            <if test="bankarea != null and bankarea != ''">and bankarea = #{bankarea}</if>
            <if test="city != null and city != ''">and city = #{city}</if>
            <if test="combineaccnum != null and combineaccnum != ''">and combineaccnum = #{combineaccnum}</if>
            <if test="concertedmny != null">and concertedmny = #{concertedmny}</if>
            <if test="contactpsn != null and contactpsn != ''">and contactpsn = #{contactpsn}</if>
            <if test="corrgeneaccount != null and corrgeneaccount != ''">and corrgeneaccount = #{corrgeneaccount}</if>
            <if test="createtime != null and createtime != ''">and createtime = #{createtime}</if>
            <if test="creator != null and creator != ''">and creator = #{creator}</if>
            <if test="custcode != null and custcode != ''">and custcode = #{custcode}</if>
            <if test="def1 != null and def1 != ''">and def1 = #{def1}</if>
            <if test="def10 != null and def10 != ''">and def10 = #{def10}</if>
            <if test="def11 != null and def11 != ''">and def11 = #{def11}</if>
            <if test="def12 != null and def12 != ''">and def12 = #{def12}</if>
            <if test="def13 != null and def13 != ''">and def13 = #{def13}</if>
            <if test="def14 != null and def14 != ''">and def14 = #{def14}</if>
            <if test="def15 != null and def15 != ''">and def15 = #{def15}</if>
            <if test="def16 != null and def16 != ''">and def16 = #{def16}</if>
            <if test="def17 != null and def17 != ''">and def17 = #{def17}</if>
            <if test="def18 != null and def18 != ''">and def18 = #{def18}</if>
            <if test="def19 != null and def19 != ''">and def19 = #{def19}</if>
            <if test="def2 != null and def2 != ''">and def2 = #{def2}</if>
            <if test="def20 != null and def20 != ''">and def20 = #{def20}</if>
            <if test="def21 != null and def21 != ''">and def21 = #{def21}</if>
            <if test="def22 != null and def22 != ''">and def22 = #{def22}</if>
            <if test="def23 != null and def23 != ''">and def23 = #{def23}</if>
            <if test="def24 != null and def24 != ''">and def24 = #{def24}</if>
            <if test="def25 != null and def25 != ''">and def25 = #{def25}</if>
            <if test="def26 != null and def26 != ''">and def26 = #{def26}</if>
            <if test="def27 != null and def27 != ''">and def27 = #{def27}</if>
            <if test="def28 != null and def28 != ''">and def28 = #{def28}</if>
            <if test="def29 != null and def29 != ''">and def29 = #{def29}</if>
            <if test="def3 != null and def3 != ''">and def3 = #{def3}</if>
            <if test="def30 != null and def30 != ''">and def30 = #{def30}</if>
            <if test="def31 != null and def31 != ''">and def31 = #{def31}</if>
            <if test="def32 != null and def32 != ''">and def32 = #{def32}</if>
            <if test="def33 != null and def33 != ''">and def33 = #{def33}</if>
            <if test="def34 != null and def34 != ''">and def34 = #{def34}</if>
            <if test="def35 != null and def35 != ''">and def35 = #{def35}</if>
            <if test="def36 != null and def36 != ''">and def36 = #{def36}</if>
            <if test="def37 != null and def37 != ''">and def37 = #{def37}</if>
            <if test="def38 != null and def38 != ''">and def38 = #{def38}</if>
            <if test="def39 != null and def39 != ''">and def39 = #{def39}</if>
            <if test="def4 != null and def4 != ''">and def4 = #{def4}</if>
            <if test="def40 != null and def40 != ''">and def40 = #{def40}</if>
            <if test="def41 != null and def41 != ''">and def41 = #{def41}</if>
            <if test="def42 != null and def42 != ''">and def42 = #{def42}</if>
            <if test="def43 != null and def43 != ''">and def43 = #{def43}</if>
            <if test="def44 != null and def44 != ''">and def44 = #{def44}</if>
            <if test="def45 != null and def45 != ''">and def45 = #{def45}</if>
            <if test="def5 != null and def5 != ''">and def5 = #{def5}</if>
            <if test="def6 != null and def6 != ''">and def6 = #{def6}</if>
            <if test="def7 != null and def7 != ''">and def7 = #{def7}</if>
            <if test="def8 != null and def8 != ''">and def8 = #{def8}</if>
            <if test="def9 != null and def9 != ''">and def9 = #{def9}</if>
            <if test="defrozendate != null and defrozendate != ''">and defrozendate = #{defrozendate}</if>
            <if test="dr != null">and dr = #{dr}</if>
            <if test="frozendate != null and frozendate != ''">and frozendate = #{frozendate}</if>
            <if test="frozenje != null">and frozenje = #{frozenje}</if>
            <if test="fundform != null">and fundform = #{fundform}</if>
            <if test="genebranprop != null">and genebranprop = #{genebranprop}</if>
            <if test="groupaccount != null and groupaccount != ''">and groupaccount = #{groupaccount}</if>
            <if test="groupid != null and groupid != ''">and groupid = #{groupid}</if>
            <if test="isinneracc != null and isinneracc != ''">and isinneracc = #{isinneracc}</if>
            <if test="ismargin != null and ismargin != ''">and ismargin = #{ismargin}</if>
            <if test="mainaccount != null and mainaccount != ''">and mainaccount = #{mainaccount}</if>
            <if test="memo != null and memo != ''">and memo = #{memo}</if>
            <if test="modifier != null and modifier != ''">and modifier = #{modifier}</if>
            <if test="modifytime != null and modifytime != ''">and modifytime = #{modifytime}</if>
            <if test="netqueryflag != null">and netqueryflag = #{netqueryflag}</if>
            <if test="orgnumber != null and orgnumber != ''">and orgnumber = #{orgnumber}</if>
            <if test="ownercorp != null and ownercorp != ''">and ownercorp = #{ownercorp}</if>
            <if test="pkBankaccbas != null and pkBankaccbas != ''">and pk_bankaccbas = #{pkBankaccbas}</if>
            <if test="pkBankdoc != null and pkBankdoc != ''">and pk_bankdoc = #{pkBankdoc}</if>
            <if test="pkBanktype != null and pkBanktype != ''">and pk_banktype = #{pkBanktype}</if>
            <if test="pkCorp != null and pkCorp != ''">and pk_corp = #{pkCorp}</if>
            <if test="pkCurrtype != null and pkCurrtype != ''">and pk_currtype = #{pkCurrtype}</if>
            <if test="pkNetbankinftp != null and pkNetbankinftp != ''">and pk_netbankinftp = #{pkNetbankinftp}</if>
            <if test="pkPsnbasdoc != null and pkPsnbasdoc != ''">and pk_psnbasdoc = #{pkPsnbasdoc}</if>
            <if test="province != null and province != ''">and province = #{province}</if>
            <if test="qrybalanceitf != null">and qrybalanceitf = #{qrybalanceitf}</if>
            <if test="remcode != null and remcode != ''">and remcode = #{remcode}</if>
            <if test="signflag != null and signflag != ''">and signflag = #{signflag}</if>
            <if test="tel != null and tel != ''">and tel = #{tel}</if>
            <if test="ts != null and ts != ''">and ts = #{ts}</if>
            <if test="unitname != null and unitname != ''">and unitname = #{unitname}</if>
--             and sts='Y'
        </trim>
<!--        <if test=" sort == null or sort == ''.toString() ">order by sorts asc</if>-->
        <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
    </select>

    <!-- 查询符合条件的数量 -->
    <select id="entity_count" resultType="Integer"
            parameterType="com.hzya.frame.plugin.lets.entity.BdBankaccbasEntity">
        select count(1) from bd_bankaccbas
        <trim prefix="where" prefixOverrides="and">
            <if test="accattribute != null">and accattribute = #{accattribute}</if>
            <if test="accclass != null">and accclass = #{accclass}</if>
            <if test="accopendate != null and accopendate != ''">and accopendate = #{accopendate}</if>
            <if test="account != null and account != ''">and account = #{account}</if>
            <if test="accountcode != null and accountcode != ''">and accountcode = #{accountcode}</if>
            <if test="accountname != null and accountname != ''">and accountname = #{accountname}</if>
            <if test="accountproperty != null">and accountproperty = #{accountproperty}</if>
            <if test="accstate != null">and accstate = #{accstate}</if>
            <if test="acctype != null">and acctype = #{acctype}</if>
            <if test="accxhdate != null and accxhdate != ''">and accxhdate = #{accxhdate}</if>
            <if test="arapprop != null">and arapprop = #{arapprop}</if>
            <if test="areacode != null and areacode != ''">and areacode = #{areacode}</if>
            <if test="bankarea != null and bankarea != ''">and bankarea = #{bankarea}</if>
            <if test="city != null and city != ''">and city = #{city}</if>
            <if test="combineaccnum != null and combineaccnum != ''">and combineaccnum = #{combineaccnum}</if>
            <if test="concertedmny != null">and concertedmny = #{concertedmny}</if>
            <if test="contactpsn != null and contactpsn != ''">and contactpsn = #{contactpsn}</if>
            <if test="corrgeneaccount != null and corrgeneaccount != ''">and corrgeneaccount = #{corrgeneaccount}</if>
            <if test="createtime != null and createtime != ''">and createtime = #{createtime}</if>
            <if test="creator != null and creator != ''">and creator = #{creator}</if>
            <if test="custcode != null and custcode != ''">and custcode = #{custcode}</if>
            <if test="def1 != null and def1 != ''">and def1 = #{def1}</if>
            <if test="def10 != null and def10 != ''">and def10 = #{def10}</if>
            <if test="def11 != null and def11 != ''">and def11 = #{def11}</if>
            <if test="def12 != null and def12 != ''">and def12 = #{def12}</if>
            <if test="def13 != null and def13 != ''">and def13 = #{def13}</if>
            <if test="def14 != null and def14 != ''">and def14 = #{def14}</if>
            <if test="def15 != null and def15 != ''">and def15 = #{def15}</if>
            <if test="def16 != null and def16 != ''">and def16 = #{def16}</if>
            <if test="def17 != null and def17 != ''">and def17 = #{def17}</if>
            <if test="def18 != null and def18 != ''">and def18 = #{def18}</if>
            <if test="def19 != null and def19 != ''">and def19 = #{def19}</if>
            <if test="def2 != null and def2 != ''">and def2 = #{def2}</if>
            <if test="def20 != null and def20 != ''">and def20 = #{def20}</if>
            <if test="def21 != null and def21 != ''">and def21 = #{def21}</if>
            <if test="def22 != null and def22 != ''">and def22 = #{def22}</if>
            <if test="def23 != null and def23 != ''">and def23 = #{def23}</if>
            <if test="def24 != null and def24 != ''">and def24 = #{def24}</if>
            <if test="def25 != null and def25 != ''">and def25 = #{def25}</if>
            <if test="def26 != null and def26 != ''">and def26 = #{def26}</if>
            <if test="def27 != null and def27 != ''">and def27 = #{def27}</if>
            <if test="def28 != null and def28 != ''">and def28 = #{def28}</if>
            <if test="def29 != null and def29 != ''">and def29 = #{def29}</if>
            <if test="def3 != null and def3 != ''">and def3 = #{def3}</if>
            <if test="def30 != null and def30 != ''">and def30 = #{def30}</if>
            <if test="def31 != null and def31 != ''">and def31 = #{def31}</if>
            <if test="def32 != null and def32 != ''">and def32 = #{def32}</if>
            <if test="def33 != null and def33 != ''">and def33 = #{def33}</if>
            <if test="def34 != null and def34 != ''">and def34 = #{def34}</if>
            <if test="def35 != null and def35 != ''">and def35 = #{def35}</if>
            <if test="def36 != null and def36 != ''">and def36 = #{def36}</if>
            <if test="def37 != null and def37 != ''">and def37 = #{def37}</if>
            <if test="def38 != null and def38 != ''">and def38 = #{def38}</if>
            <if test="def39 != null and def39 != ''">and def39 = #{def39}</if>
            <if test="def4 != null and def4 != ''">and def4 = #{def4}</if>
            <if test="def40 != null and def40 != ''">and def40 = #{def40}</if>
            <if test="def41 != null and def41 != ''">and def41 = #{def41}</if>
            <if test="def42 != null and def42 != ''">and def42 = #{def42}</if>
            <if test="def43 != null and def43 != ''">and def43 = #{def43}</if>
            <if test="def44 != null and def44 != ''">and def44 = #{def44}</if>
            <if test="def45 != null and def45 != ''">and def45 = #{def45}</if>
            <if test="def5 != null and def5 != ''">and def5 = #{def5}</if>
            <if test="def6 != null and def6 != ''">and def6 = #{def6}</if>
            <if test="def7 != null and def7 != ''">and def7 = #{def7}</if>
            <if test="def8 != null and def8 != ''">and def8 = #{def8}</if>
            <if test="def9 != null and def9 != ''">and def9 = #{def9}</if>
            <if test="defrozendate != null and defrozendate != ''">and defrozendate = #{defrozendate}</if>
            <if test="dr != null">and dr = #{dr}</if>
            <if test="frozendate != null and frozendate != ''">and frozendate = #{frozendate}</if>
            <if test="frozenje != null">and frozenje = #{frozenje}</if>
            <if test="fundform != null">and fundform = #{fundform}</if>
            <if test="genebranprop != null">and genebranprop = #{genebranprop}</if>
            <if test="groupaccount != null and groupaccount != ''">and groupaccount = #{groupaccount}</if>
            <if test="groupid != null and groupid != ''">and groupid = #{groupid}</if>
            <if test="isinneracc != null and isinneracc != ''">and isinneracc = #{isinneracc}</if>
            <if test="ismargin != null and ismargin != ''">and ismargin = #{ismargin}</if>
            <if test="mainaccount != null and mainaccount != ''">and mainaccount = #{mainaccount}</if>
            <if test="memo != null and memo != ''">and memo = #{memo}</if>
            <if test="modifier != null and modifier != ''">and modifier = #{modifier}</if>
            <if test="modifytime != null and modifytime != ''">and modifytime = #{modifytime}</if>
            <if test="netqueryflag != null">and netqueryflag = #{netqueryflag}</if>
            <if test="orgnumber != null and orgnumber != ''">and orgnumber = #{orgnumber}</if>
            <if test="ownercorp != null and ownercorp != ''">and ownercorp = #{ownercorp}</if>
            <if test="pkBankaccbas != null and pkBankaccbas != ''">and pk_bankaccbas = #{pkBankaccbas}</if>
            <if test="pkBankdoc != null and pkBankdoc != ''">and pk_bankdoc = #{pkBankdoc}</if>
            <if test="pkBanktype != null and pkBanktype != ''">and pk_banktype = #{pkBanktype}</if>
            <if test="pkCorp != null and pkCorp != ''">and pk_corp = #{pkCorp}</if>
            <if test="pkCurrtype != null and pkCurrtype != ''">and pk_currtype = #{pkCurrtype}</if>
            <if test="pkNetbankinftp != null and pkNetbankinftp != ''">and pk_netbankinftp = #{pkNetbankinftp}</if>
            <if test="pkPsnbasdoc != null and pkPsnbasdoc != ''">and pk_psnbasdoc = #{pkPsnbasdoc}</if>
            <if test="province != null and province != ''">and province = #{province}</if>
            <if test="qrybalanceitf != null">and qrybalanceitf = #{qrybalanceitf}</if>
            <if test="remcode != null and remcode != ''">and remcode = #{remcode}</if>
            <if test="signflag != null and signflag != ''">and signflag = #{signflag}</if>
            <if test="tel != null and tel != ''">and tel = #{tel}</if>
            <if test="ts != null and ts != ''">and ts = #{ts}</if>
            <if test="unitname != null and unitname != ''">and unitname = #{unitname}</if>
            and sts='Y'
        </trim>
        <if test=" sort == null or sort == ''.toString() ">order by sorts asc</if>
        <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
    </select>

    <!-- 分页查询列表 采用like格式 -->
    <select id="entity_list_like" resultMap="get-BdBankaccbasEntity-result"
            parameterType="com.hzya.frame.plugin.lets.entity.BdBankaccbasEntity">
        select
        <include refid="BdBankaccbasEntity_Base_Column_List"/>
        from bd_bankaccbas
        <trim prefix="where" prefixOverrides="and">
            <if test="accattribute != null">and accattribute like concat('%',#{accattribute},'%')</if>
            <if test="accclass != null">and accclass like concat('%',#{accclass},'%')</if>
            <if test="accopendate != null and accopendate != ''">and accopendate like concat('%',#{accopendate},'%')
            </if>
            <if test="account != null and account != ''">and account like concat('%',#{account},'%')</if>
            <if test="accountcode != null and accountcode != ''">and accountcode like concat('%',#{accountcode},'%')
            </if>
            <if test="accountname != null and accountname != ''">and accountname like concat('%',#{accountname},'%')
            </if>
            <if test="accountproperty != null">and accountproperty like concat('%',#{accountproperty},'%')</if>
            <if test="accstate != null">and accstate like concat('%',#{accstate},'%')</if>
            <if test="acctype != null">and acctype like concat('%',#{acctype},'%')</if>
            <if test="accxhdate != null and accxhdate != ''">and accxhdate like concat('%',#{accxhdate},'%')</if>
            <if test="arapprop != null">and arapprop like concat('%',#{arapprop},'%')</if>
            <if test="areacode != null and areacode != ''">and areacode like concat('%',#{areacode},'%')</if>
            <if test="bankarea != null and bankarea != ''">and bankarea like concat('%',#{bankarea},'%')</if>
            <if test="city != null and city != ''">and city like concat('%',#{city},'%')</if>
            <if test="combineaccnum != null and combineaccnum != ''">and combineaccnum like
                concat('%',#{combineaccnum},'%')
            </if>
            <if test="concertedmny != null">and concertedmny like concat('%',#{concertedmny},'%')</if>
            <if test="contactpsn != null and contactpsn != ''">and contactpsn like concat('%',#{contactpsn},'%')</if>
            <if test="corrgeneaccount != null and corrgeneaccount != ''">and corrgeneaccount like
                concat('%',#{corrgeneaccount},'%')
            </if>
            <if test="createtime != null and createtime != ''">and createtime like concat('%',#{createtime},'%')</if>
            <if test="creator != null and creator != ''">and creator like concat('%',#{creator},'%')</if>
            <if test="custcode != null and custcode != ''">and custcode like concat('%',#{custcode},'%')</if>
            <if test="def1 != null and def1 != ''">and def1 like concat('%',#{def1},'%')</if>
            <if test="def10 != null and def10 != ''">and def10 like concat('%',#{def10},'%')</if>
            <if test="def11 != null and def11 != ''">and def11 like concat('%',#{def11},'%')</if>
            <if test="def12 != null and def12 != ''">and def12 like concat('%',#{def12},'%')</if>
            <if test="def13 != null and def13 != ''">and def13 like concat('%',#{def13},'%')</if>
            <if test="def14 != null and def14 != ''">and def14 like concat('%',#{def14},'%')</if>
            <if test="def15 != null and def15 != ''">and def15 like concat('%',#{def15},'%')</if>
            <if test="def16 != null and def16 != ''">and def16 like concat('%',#{def16},'%')</if>
            <if test="def17 != null and def17 != ''">and def17 like concat('%',#{def17},'%')</if>
            <if test="def18 != null and def18 != ''">and def18 like concat('%',#{def18},'%')</if>
            <if test="def19 != null and def19 != ''">and def19 like concat('%',#{def19},'%')</if>
            <if test="def2 != null and def2 != ''">and def2 like concat('%',#{def2},'%')</if>
            <if test="def20 != null and def20 != ''">and def20 like concat('%',#{def20},'%')</if>
            <if test="def21 != null and def21 != ''">and def21 like concat('%',#{def21},'%')</if>
            <if test="def22 != null and def22 != ''">and def22 like concat('%',#{def22},'%')</if>
            <if test="def23 != null and def23 != ''">and def23 like concat('%',#{def23},'%')</if>
            <if test="def24 != null and def24 != ''">and def24 like concat('%',#{def24},'%')</if>
            <if test="def25 != null and def25 != ''">and def25 like concat('%',#{def25},'%')</if>
            <if test="def26 != null and def26 != ''">and def26 like concat('%',#{def26},'%')</if>
            <if test="def27 != null and def27 != ''">and def27 like concat('%',#{def27},'%')</if>
            <if test="def28 != null and def28 != ''">and def28 like concat('%',#{def28},'%')</if>
            <if test="def29 != null and def29 != ''">and def29 like concat('%',#{def29},'%')</if>
            <if test="def3 != null and def3 != ''">and def3 like concat('%',#{def3},'%')</if>
            <if test="def30 != null and def30 != ''">and def30 like concat('%',#{def30},'%')</if>
            <if test="def31 != null and def31 != ''">and def31 like concat('%',#{def31},'%')</if>
            <if test="def32 != null and def32 != ''">and def32 like concat('%',#{def32},'%')</if>
            <if test="def33 != null and def33 != ''">and def33 like concat('%',#{def33},'%')</if>
            <if test="def34 != null and def34 != ''">and def34 like concat('%',#{def34},'%')</if>
            <if test="def35 != null and def35 != ''">and def35 like concat('%',#{def35},'%')</if>
            <if test="def36 != null and def36 != ''">and def36 like concat('%',#{def36},'%')</if>
            <if test="def37 != null and def37 != ''">and def37 like concat('%',#{def37},'%')</if>
            <if test="def38 != null and def38 != ''">and def38 like concat('%',#{def38},'%')</if>
            <if test="def39 != null and def39 != ''">and def39 like concat('%',#{def39},'%')</if>
            <if test="def4 != null and def4 != ''">and def4 like concat('%',#{def4},'%')</if>
            <if test="def40 != null and def40 != ''">and def40 like concat('%',#{def40},'%')</if>
            <if test="def41 != null and def41 != ''">and def41 like concat('%',#{def41},'%')</if>
            <if test="def42 != null and def42 != ''">and def42 like concat('%',#{def42},'%')</if>
            <if test="def43 != null and def43 != ''">and def43 like concat('%',#{def43},'%')</if>
            <if test="def44 != null and def44 != ''">and def44 like concat('%',#{def44},'%')</if>
            <if test="def45 != null and def45 != ''">and def45 like concat('%',#{def45},'%')</if>
            <if test="def5 != null and def5 != ''">and def5 like concat('%',#{def5},'%')</if>
            <if test="def6 != null and def6 != ''">and def6 like concat('%',#{def6},'%')</if>
            <if test="def7 != null and def7 != ''">and def7 like concat('%',#{def7},'%')</if>
            <if test="def8 != null and def8 != ''">and def8 like concat('%',#{def8},'%')</if>
            <if test="def9 != null and def9 != ''">and def9 like concat('%',#{def9},'%')</if>
            <if test="defrozendate != null and defrozendate != ''">and defrozendate like
                concat('%',#{defrozendate},'%')
            </if>
            <if test="dr != null">and dr like concat('%',#{dr},'%')</if>
            <if test="frozendate != null and frozendate != ''">and frozendate like concat('%',#{frozendate},'%')</if>
            <if test="frozenje != null">and frozenje like concat('%',#{frozenje},'%')</if>
            <if test="fundform != null">and fundform like concat('%',#{fundform},'%')</if>
            <if test="genebranprop != null">and genebranprop like concat('%',#{genebranprop},'%')</if>
            <if test="groupaccount != null and groupaccount != ''">and groupaccount like
                concat('%',#{groupaccount},'%')
            </if>
            <if test="groupid != null and groupid != ''">and groupid like concat('%',#{groupid},'%')</if>
            <if test="isinneracc != null and isinneracc != ''">and isinneracc like concat('%',#{isinneracc},'%')</if>
            <if test="ismargin != null and ismargin != ''">and ismargin like concat('%',#{ismargin},'%')</if>
            <if test="mainaccount != null and mainaccount != ''">and mainaccount like concat('%',#{mainaccount},'%')
            </if>
            <if test="memo != null and memo != ''">and memo like concat('%',#{memo},'%')</if>
            <if test="modifier != null and modifier != ''">and modifier like concat('%',#{modifier},'%')</if>
            <if test="modifytime != null and modifytime != ''">and modifytime like concat('%',#{modifytime},'%')</if>
            <if test="netqueryflag != null">and netqueryflag like concat('%',#{netqueryflag},'%')</if>
            <if test="orgnumber != null and orgnumber != ''">and orgnumber like concat('%',#{orgnumber},'%')</if>
            <if test="ownercorp != null and ownercorp != ''">and ownercorp like concat('%',#{ownercorp},'%')</if>
            <if test="pkBankaccbas != null and pkBankaccbas != ''">and pk_bankaccbas like
                concat('%',#{pkBankaccbas},'%')
            </if>
            <if test="pkBankdoc != null and pkBankdoc != ''">and pk_bankdoc like concat('%',#{pkBankdoc},'%')</if>
            <if test="pkBanktype != null and pkBanktype != ''">and pk_banktype like concat('%',#{pkBanktype},'%')</if>
            <if test="pkCorp != null and pkCorp != ''">and pk_corp like concat('%',#{pkCorp},'%')</if>
            <if test="pkCurrtype != null and pkCurrtype != ''">and pk_currtype like concat('%',#{pkCurrtype},'%')</if>
            <if test="pkNetbankinftp != null and pkNetbankinftp != ''">and pk_netbankinftp like
                concat('%',#{pkNetbankinftp},'%')
            </if>
            <if test="pkPsnbasdoc != null and pkPsnbasdoc != ''">and pk_psnbasdoc like concat('%',#{pkPsnbasdoc},'%')
            </if>
            <if test="province != null and province != ''">and province like concat('%',#{province},'%')</if>
            <if test="qrybalanceitf != null">and qrybalanceitf like concat('%',#{qrybalanceitf},'%')</if>
            <if test="remcode != null and remcode != ''">and remcode like concat('%',#{remcode},'%')</if>
            <if test="signflag != null and signflag != ''">and signflag like concat('%',#{signflag},'%')</if>
            <if test="tel != null and tel != ''">and tel like concat('%',#{tel},'%')</if>
            <if test="ts != null and ts != ''">and ts like concat('%',#{ts},'%')</if>
            <if test="unitname != null and unitname != ''">and unitname like concat('%',#{unitname},'%')</if>
            and sts='Y'
        </trim>
        <if test=" sort == null or sort == ''.toString() ">order by sorts asc</if>
        <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
    </select>

    <!-- 查询列表 字段采用or格式 -->
    <select id="BdBankaccbasentity_list_or" resultMap="get-BdBankaccbasEntity-result"
            parameterType="com.hzya.frame.plugin.lets.entity.BdBankaccbasEntity">
        select
        <include refid="BdBankaccbasEntity_Base_Column_List"/>
        from bd_bankaccbas
        <trim prefix="where" prefixOverrides="and">
            <if test="accattribute != null">or accattribute = #{accattribute}</if>
            <if test="accclass != null">or accclass = #{accclass}</if>
            <if test="accopendate != null and accopendate != ''">or accopendate = #{accopendate}</if>
            <if test="account != null and account != ''">or account = #{account}</if>
            <if test="accountcode != null and accountcode != ''">or accountcode = #{accountcode}</if>
            <if test="accountname != null and accountname != ''">or accountname = #{accountname}</if>
            <if test="accountproperty != null">or accountproperty = #{accountproperty}</if>
            <if test="accstate != null">or accstate = #{accstate}</if>
            <if test="acctype != null">or acctype = #{acctype}</if>
            <if test="accxhdate != null and accxhdate != ''">or accxhdate = #{accxhdate}</if>
            <if test="arapprop != null">or arapprop = #{arapprop}</if>
            <if test="areacode != null and areacode != ''">or areacode = #{areacode}</if>
            <if test="bankarea != null and bankarea != ''">or bankarea = #{bankarea}</if>
            <if test="city != null and city != ''">or city = #{city}</if>
            <if test="combineaccnum != null and combineaccnum != ''">or combineaccnum = #{combineaccnum}</if>
            <if test="concertedmny != null">or concertedmny = #{concertedmny}</if>
            <if test="contactpsn != null and contactpsn != ''">or contactpsn = #{contactpsn}</if>
            <if test="corrgeneaccount != null and corrgeneaccount != ''">or corrgeneaccount = #{corrgeneaccount}</if>
            <if test="createtime != null and createtime != ''">or createtime = #{createtime}</if>
            <if test="creator != null and creator != ''">or creator = #{creator}</if>
            <if test="custcode != null and custcode != ''">or custcode = #{custcode}</if>
            <if test="def1 != null and def1 != ''">or def1 = #{def1}</if>
            <if test="def10 != null and def10 != ''">or def10 = #{def10}</if>
            <if test="def11 != null and def11 != ''">or def11 = #{def11}</if>
            <if test="def12 != null and def12 != ''">or def12 = #{def12}</if>
            <if test="def13 != null and def13 != ''">or def13 = #{def13}</if>
            <if test="def14 != null and def14 != ''">or def14 = #{def14}</if>
            <if test="def15 != null and def15 != ''">or def15 = #{def15}</if>
            <if test="def16 != null and def16 != ''">or def16 = #{def16}</if>
            <if test="def17 != null and def17 != ''">or def17 = #{def17}</if>
            <if test="def18 != null and def18 != ''">or def18 = #{def18}</if>
            <if test="def19 != null and def19 != ''">or def19 = #{def19}</if>
            <if test="def2 != null and def2 != ''">or def2 = #{def2}</if>
            <if test="def20 != null and def20 != ''">or def20 = #{def20}</if>
            <if test="def21 != null and def21 != ''">or def21 = #{def21}</if>
            <if test="def22 != null and def22 != ''">or def22 = #{def22}</if>
            <if test="def23 != null and def23 != ''">or def23 = #{def23}</if>
            <if test="def24 != null and def24 != ''">or def24 = #{def24}</if>
            <if test="def25 != null and def25 != ''">or def25 = #{def25}</if>
            <if test="def26 != null and def26 != ''">or def26 = #{def26}</if>
            <if test="def27 != null and def27 != ''">or def27 = #{def27}</if>
            <if test="def28 != null and def28 != ''">or def28 = #{def28}</if>
            <if test="def29 != null and def29 != ''">or def29 = #{def29}</if>
            <if test="def3 != null and def3 != ''">or def3 = #{def3}</if>
            <if test="def30 != null and def30 != ''">or def30 = #{def30}</if>
            <if test="def31 != null and def31 != ''">or def31 = #{def31}</if>
            <if test="def32 != null and def32 != ''">or def32 = #{def32}</if>
            <if test="def33 != null and def33 != ''">or def33 = #{def33}</if>
            <if test="def34 != null and def34 != ''">or def34 = #{def34}</if>
            <if test="def35 != null and def35 != ''">or def35 = #{def35}</if>
            <if test="def36 != null and def36 != ''">or def36 = #{def36}</if>
            <if test="def37 != null and def37 != ''">or def37 = #{def37}</if>
            <if test="def38 != null and def38 != ''">or def38 = #{def38}</if>
            <if test="def39 != null and def39 != ''">or def39 = #{def39}</if>
            <if test="def4 != null and def4 != ''">or def4 = #{def4}</if>
            <if test="def40 != null and def40 != ''">or def40 = #{def40}</if>
            <if test="def41 != null and def41 != ''">or def41 = #{def41}</if>
            <if test="def42 != null and def42 != ''">or def42 = #{def42}</if>
            <if test="def43 != null and def43 != ''">or def43 = #{def43}</if>
            <if test="def44 != null and def44 != ''">or def44 = #{def44}</if>
            <if test="def45 != null and def45 != ''">or def45 = #{def45}</if>
            <if test="def5 != null and def5 != ''">or def5 = #{def5}</if>
            <if test="def6 != null and def6 != ''">or def6 = #{def6}</if>
            <if test="def7 != null and def7 != ''">or def7 = #{def7}</if>
            <if test="def8 != null and def8 != ''">or def8 = #{def8}</if>
            <if test="def9 != null and def9 != ''">or def9 = #{def9}</if>
            <if test="defrozendate != null and defrozendate != ''">or defrozendate = #{defrozendate}</if>
            <if test="dr != null">or dr = #{dr}</if>
            <if test="frozendate != null and frozendate != ''">or frozendate = #{frozendate}</if>
            <if test="frozenje != null">or frozenje = #{frozenje}</if>
            <if test="fundform != null">or fundform = #{fundform}</if>
            <if test="genebranprop != null">or genebranprop = #{genebranprop}</if>
            <if test="groupaccount != null and groupaccount != ''">or groupaccount = #{groupaccount}</if>
            <if test="groupid != null and groupid != ''">or groupid = #{groupid}</if>
            <if test="isinneracc != null and isinneracc != ''">or isinneracc = #{isinneracc}</if>
            <if test="ismargin != null and ismargin != ''">or ismargin = #{ismargin}</if>
            <if test="mainaccount != null and mainaccount != ''">or mainaccount = #{mainaccount}</if>
            <if test="memo != null and memo != ''">or memo = #{memo}</if>
            <if test="modifier != null and modifier != ''">or modifier = #{modifier}</if>
            <if test="modifytime != null and modifytime != ''">or modifytime = #{modifytime}</if>
            <if test="netqueryflag != null">or netqueryflag = #{netqueryflag}</if>
            <if test="orgnumber != null and orgnumber != ''">or orgnumber = #{orgnumber}</if>
            <if test="ownercorp != null and ownercorp != ''">or ownercorp = #{ownercorp}</if>
            <if test="pkBankaccbas != null and pkBankaccbas != ''">or pk_bankaccbas = #{pkBankaccbas}</if>
            <if test="pkBankdoc != null and pkBankdoc != ''">or pk_bankdoc = #{pkBankdoc}</if>
            <if test="pkBanktype != null and pkBanktype != ''">or pk_banktype = #{pkBanktype}</if>
            <if test="pkCorp != null and pkCorp != ''">or pk_corp = #{pkCorp}</if>
            <if test="pkCurrtype != null and pkCurrtype != ''">or pk_currtype = #{pkCurrtype}</if>
            <if test="pkNetbankinftp != null and pkNetbankinftp != ''">or pk_netbankinftp = #{pkNetbankinftp}</if>
            <if test="pkPsnbasdoc != null and pkPsnbasdoc != ''">or pk_psnbasdoc = #{pkPsnbasdoc}</if>
            <if test="province != null and province != ''">or province = #{province}</if>
            <if test="qrybalanceitf != null">or qrybalanceitf = #{qrybalanceitf}</if>
            <if test="remcode != null and remcode != ''">or remcode = #{remcode}</if>
            <if test="signflag != null and signflag != ''">or signflag = #{signflag}</if>
            <if test="tel != null and tel != ''">or tel = #{tel}</if>
            <if test="ts != null and ts != ''">or ts = #{ts}</if>
            <if test="unitname != null and unitname != ''">or unitname = #{unitname}</if>
            and sts='Y'
        </trim>
        <if test=" sort == null or sort == ''.toString()  ">order by sorts asc</if>
        <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
    </select>

    <!--新增所有列-->
    <insert id="entity_insert" parameterType="com.hzya.frame.plugin.lets.entity.BdBankaccbasEntity"
            keyProperty="pkBankaccbas" useGeneratedKeys="true">
        insert into bd_bankaccbas(
        <trim suffix="" suffixOverrides=",">
            <if test="accattribute != null">accattribute ,</if>
            <if test="accclass != null">accclass ,</if>
            <if test="accopendate != null and accopendate != ''">accopendate ,</if>
            <if test="account != null and account != ''">account ,</if>
            <if test="accountcode != null and accountcode != ''">accountcode ,</if>
            <if test="accountname != null and accountname != ''">accountname ,</if>
            <if test="accountproperty != null">accountproperty ,</if>
            <if test="accstate != null">accstate ,</if>
            <if test="acctype != null">acctype ,</if>
            <if test="accxhdate != null and accxhdate != ''">accxhdate ,</if>
            <if test="arapprop != null">arapprop ,</if>
            <if test="areacode != null and areacode != ''">areacode ,</if>
            <if test="bankarea != null and bankarea != ''">bankarea ,</if>
            <if test="city != null and city != ''">city ,</if>
            <if test="combineaccnum != null and combineaccnum != ''">combineaccnum ,</if>
            <if test="concertedmny != null">concertedmny ,</if>
            <if test="contactpsn != null and contactpsn != ''">contactpsn ,</if>
            <if test="corrgeneaccount != null and corrgeneaccount != ''">corrgeneaccount ,</if>
            <if test="createtime != null and createtime != ''">createtime ,</if>
            <if test="creator != null and creator != ''">creator ,</if>
            <if test="custcode != null and custcode != ''">custcode ,</if>
            <if test="def1 != null and def1 != ''">def1 ,</if>
            <if test="def10 != null and def10 != ''">def10 ,</if>
            <if test="def11 != null and def11 != ''">def11 ,</if>
            <if test="def12 != null and def12 != ''">def12 ,</if>
            <if test="def13 != null and def13 != ''">def13 ,</if>
            <if test="def14 != null and def14 != ''">def14 ,</if>
            <if test="def15 != null and def15 != ''">def15 ,</if>
            <if test="def16 != null and def16 != ''">def16 ,</if>
            <if test="def17 != null and def17 != ''">def17 ,</if>
            <if test="def18 != null and def18 != ''">def18 ,</if>
            <if test="def19 != null and def19 != ''">def19 ,</if>
            <if test="def2 != null and def2 != ''">def2 ,</if>
            <if test="def20 != null and def20 != ''">def20 ,</if>
            <if test="def21 != null and def21 != ''">def21 ,</if>
            <if test="def22 != null and def22 != ''">def22 ,</if>
            <if test="def23 != null and def23 != ''">def23 ,</if>
            <if test="def24 != null and def24 != ''">def24 ,</if>
            <if test="def25 != null and def25 != ''">def25 ,</if>
            <if test="def26 != null and def26 != ''">def26 ,</if>
            <if test="def27 != null and def27 != ''">def27 ,</if>
            <if test="def28 != null and def28 != ''">def28 ,</if>
            <if test="def29 != null and def29 != ''">def29 ,</if>
            <if test="def3 != null and def3 != ''">def3 ,</if>
            <if test="def30 != null and def30 != ''">def30 ,</if>
            <if test="def31 != null and def31 != ''">def31 ,</if>
            <if test="def32 != null and def32 != ''">def32 ,</if>
            <if test="def33 != null and def33 != ''">def33 ,</if>
            <if test="def34 != null and def34 != ''">def34 ,</if>
            <if test="def35 != null and def35 != ''">def35 ,</if>
            <if test="def36 != null and def36 != ''">def36 ,</if>
            <if test="def37 != null and def37 != ''">def37 ,</if>
            <if test="def38 != null and def38 != ''">def38 ,</if>
            <if test="def39 != null and def39 != ''">def39 ,</if>
            <if test="def4 != null and def4 != ''">def4 ,</if>
            <if test="def40 != null and def40 != ''">def40 ,</if>
            <if test="def41 != null and def41 != ''">def41 ,</if>
            <if test="def42 != null and def42 != ''">def42 ,</if>
            <if test="def43 != null and def43 != ''">def43 ,</if>
            <if test="def44 != null and def44 != ''">def44 ,</if>
            <if test="def45 != null and def45 != ''">def45 ,</if>
            <if test="def5 != null and def5 != ''">def5 ,</if>
            <if test="def6 != null and def6 != ''">def6 ,</if>
            <if test="def7 != null and def7 != ''">def7 ,</if>
            <if test="def8 != null and def8 != ''">def8 ,</if>
            <if test="def9 != null and def9 != ''">def9 ,</if>
            <if test="defrozendate != null and defrozendate != ''">defrozendate ,</if>
            <if test="dr != null">dr ,</if>
            <if test="frozendate != null and frozendate != ''">frozendate ,</if>
            <if test="frozenje != null">frozenje ,</if>
            <if test="fundform != null">fundform ,</if>
            <if test="genebranprop != null">genebranprop ,</if>
            <if test="groupaccount != null and groupaccount != ''">groupaccount ,</if>
            <if test="groupid != null and groupid != ''">groupid ,</if>
            <if test="isinneracc != null and isinneracc != ''">isinneracc ,</if>
            <if test="ismargin != null and ismargin != ''">ismargin ,</if>
            <if test="mainaccount != null and mainaccount != ''">mainaccount ,</if>
            <if test="memo != null and memo != ''">memo ,</if>
            <if test="modifier != null and modifier != ''">modifier ,</if>
            <if test="modifytime != null and modifytime != ''">modifytime ,</if>
            <if test="netqueryflag != null">netqueryflag ,</if>
            <if test="orgnumber != null and orgnumber != ''">orgnumber ,</if>
            <if test="ownercorp != null and ownercorp != ''">ownercorp ,</if>
            <if test="pkBankaccbas != null and pkBankaccbas != ''">pk_bankaccbas ,</if>
            <if test="pkBankdoc != null and pkBankdoc != ''">pk_bankdoc ,</if>
            <if test="pkBanktype != null and pkBanktype != ''">pk_banktype ,</if>
            <if test="pkCorp != null and pkCorp != ''">pk_corp ,</if>
            <if test="pkCurrtype != null and pkCurrtype != ''">pk_currtype ,</if>
            <if test="pkNetbankinftp != null and pkNetbankinftp != ''">pk_netbankinftp ,</if>
            <if test="pkPsnbasdoc != null and pkPsnbasdoc != ''">pk_psnbasdoc ,</if>
            <if test="province != null and province != ''">province ,</if>
            <if test="qrybalanceitf != null">qrybalanceitf ,</if>
            <if test="remcode != null and remcode != ''">remcode ,</if>
            <if test="signflag != null and signflag != ''">signflag ,</if>
            <if test="tel != null and tel != ''">tel ,</if>
            <if test="ts != null and ts != ''">ts ,</if>
            <if test="unitname != null and unitname != ''">unitname ,</if>
            <if test="sorts == null ">sorts,</if>
            <if test="sts == null ">sts,</if>
        </trim>
        )values(
        <trim suffix="" suffixOverrides=",">
            <if test="accattribute != null">#{accattribute} ,</if>
            <if test="accclass != null">#{accclass} ,</if>
            <if test="accopendate != null and accopendate != ''">#{accopendate} ,</if>
            <if test="account != null and account != ''">#{account} ,</if>
            <if test="accountcode != null and accountcode != ''">#{accountcode} ,</if>
            <if test="accountname != null and accountname != ''">#{accountname} ,</if>
            <if test="accountproperty != null">#{accountproperty} ,</if>
            <if test="accstate != null">#{accstate} ,</if>
            <if test="acctype != null">#{acctype} ,</if>
            <if test="accxhdate != null and accxhdate != ''">#{accxhdate} ,</if>
            <if test="arapprop != null">#{arapprop} ,</if>
            <if test="areacode != null and areacode != ''">#{areacode} ,</if>
            <if test="bankarea != null and bankarea != ''">#{bankarea} ,</if>
            <if test="city != null and city != ''">#{city} ,</if>
            <if test="combineaccnum != null and combineaccnum != ''">#{combineaccnum} ,</if>
            <if test="concertedmny != null">#{concertedmny} ,</if>
            <if test="contactpsn != null and contactpsn != ''">#{contactpsn} ,</if>
            <if test="corrgeneaccount != null and corrgeneaccount != ''">#{corrgeneaccount} ,</if>
            <if test="createtime != null and createtime != ''">#{createtime} ,</if>
            <if test="creator != null and creator != ''">#{creator} ,</if>
            <if test="custcode != null and custcode != ''">#{custcode} ,</if>
            <if test="def1 != null and def1 != ''">#{def1} ,</if>
            <if test="def10 != null and def10 != ''">#{def10} ,</if>
            <if test="def11 != null and def11 != ''">#{def11} ,</if>
            <if test="def12 != null and def12 != ''">#{def12} ,</if>
            <if test="def13 != null and def13 != ''">#{def13} ,</if>
            <if test="def14 != null and def14 != ''">#{def14} ,</if>
            <if test="def15 != null and def15 != ''">#{def15} ,</if>
            <if test="def16 != null and def16 != ''">#{def16} ,</if>
            <if test="def17 != null and def17 != ''">#{def17} ,</if>
            <if test="def18 != null and def18 != ''">#{def18} ,</if>
            <if test="def19 != null and def19 != ''">#{def19} ,</if>
            <if test="def2 != null and def2 != ''">#{def2} ,</if>
            <if test="def20 != null and def20 != ''">#{def20} ,</if>
            <if test="def21 != null and def21 != ''">#{def21} ,</if>
            <if test="def22 != null and def22 != ''">#{def22} ,</if>
            <if test="def23 != null and def23 != ''">#{def23} ,</if>
            <if test="def24 != null and def24 != ''">#{def24} ,</if>
            <if test="def25 != null and def25 != ''">#{def25} ,</if>
            <if test="def26 != null and def26 != ''">#{def26} ,</if>
            <if test="def27 != null and def27 != ''">#{def27} ,</if>
            <if test="def28 != null and def28 != ''">#{def28} ,</if>
            <if test="def29 != null and def29 != ''">#{def29} ,</if>
            <if test="def3 != null and def3 != ''">#{def3} ,</if>
            <if test="def30 != null and def30 != ''">#{def30} ,</if>
            <if test="def31 != null and def31 != ''">#{def31} ,</if>
            <if test="def32 != null and def32 != ''">#{def32} ,</if>
            <if test="def33 != null and def33 != ''">#{def33} ,</if>
            <if test="def34 != null and def34 != ''">#{def34} ,</if>
            <if test="def35 != null and def35 != ''">#{def35} ,</if>
            <if test="def36 != null and def36 != ''">#{def36} ,</if>
            <if test="def37 != null and def37 != ''">#{def37} ,</if>
            <if test="def38 != null and def38 != ''">#{def38} ,</if>
            <if test="def39 != null and def39 != ''">#{def39} ,</if>
            <if test="def4 != null and def4 != ''">#{def4} ,</if>
            <if test="def40 != null and def40 != ''">#{def40} ,</if>
            <if test="def41 != null and def41 != ''">#{def41} ,</if>
            <if test="def42 != null and def42 != ''">#{def42} ,</if>
            <if test="def43 != null and def43 != ''">#{def43} ,</if>
            <if test="def44 != null and def44 != ''">#{def44} ,</if>
            <if test="def45 != null and def45 != ''">#{def45} ,</if>
            <if test="def5 != null and def5 != ''">#{def5} ,</if>
            <if test="def6 != null and def6 != ''">#{def6} ,</if>
            <if test="def7 != null and def7 != ''">#{def7} ,</if>
            <if test="def8 != null and def8 != ''">#{def8} ,</if>
            <if test="def9 != null and def9 != ''">#{def9} ,</if>
            <if test="defrozendate != null and defrozendate != ''">#{defrozendate} ,</if>
            <if test="dr != null">#{dr} ,</if>
            <if test="frozendate != null and frozendate != ''">#{frozendate} ,</if>
            <if test="frozenje != null">#{frozenje} ,</if>
            <if test="fundform != null">#{fundform} ,</if>
            <if test="genebranprop != null">#{genebranprop} ,</if>
            <if test="groupaccount != null and groupaccount != ''">#{groupaccount} ,</if>
            <if test="groupid != null and groupid != ''">#{groupid} ,</if>
            <if test="isinneracc != null and isinneracc != ''">#{isinneracc} ,</if>
            <if test="ismargin != null and ismargin != ''">#{ismargin} ,</if>
            <if test="mainaccount != null and mainaccount != ''">#{mainaccount} ,</if>
            <if test="memo != null and memo != ''">#{memo} ,</if>
            <if test="modifier != null and modifier != ''">#{modifier} ,</if>
            <if test="modifytime != null and modifytime != ''">#{modifytime} ,</if>
            <if test="netqueryflag != null">#{netqueryflag} ,</if>
            <if test="orgnumber != null and orgnumber != ''">#{orgnumber} ,</if>
            <if test="ownercorp != null and ownercorp != ''">#{ownercorp} ,</if>
            <if test="pkBankaccbas != null and pkBankaccbas != ''">#{pkBankaccbas} ,</if>
            <if test="pkBankdoc != null and pkBankdoc != ''">#{pkBankdoc} ,</if>
            <if test="pkBanktype != null and pkBanktype != ''">#{pkBanktype} ,</if>
            <if test="pkCorp != null and pkCorp != ''">#{pkCorp} ,</if>
            <if test="pkCurrtype != null and pkCurrtype != ''">#{pkCurrtype} ,</if>
            <if test="pkNetbankinftp != null and pkNetbankinftp != ''">#{pkNetbankinftp} ,</if>
            <if test="pkPsnbasdoc != null and pkPsnbasdoc != ''">#{pkPsnbasdoc} ,</if>
            <if test="province != null and province != ''">#{province} ,</if>
            <if test="qrybalanceitf != null">#{qrybalanceitf} ,</if>
            <if test="remcode != null and remcode != ''">#{remcode} ,</if>
            <if test="signflag != null and signflag != ''">#{signflag} ,</if>
            <if test="tel != null and tel != ''">#{tel} ,</if>
            <if test="ts != null and ts != ''">#{ts} ,</if>
            <if test="unitname != null and unitname != ''">#{unitname} ,</if>
            <if test="sorts == null ">(select (max(IFNULL( a.sorts, 0 )) + 1) as sort from bd_bankaccbas a WHERE a.sts =
                'Y' ),
            </if>
            <if test="sts == null ">'Y',</if>
        </trim>
        )
    </insert>
    <!-- 批量新增 -->
    <insert id="entityInsertBatch" keyProperty="pkBankaccbas" useGeneratedKeys="true">
        insert into bd_bankaccbas(accattribute, accclass, accopendate, account, accountcode, accountname,
        accountproperty, accstate, acctype, accxhdate, arapprop, areacode, bankarea, city, combineaccnum, concertedmny,
        contactpsn, corrgeneaccount, createtime, creator, custcode, def1, def10, def11, def12, def13, def14, def15,
        def16, def17, def18, def19, def2, def20, def21, def22, def23, def24, def25, def26, def27, def28, def29, def3,
        def30, def31, def32, def33, def34, def35, def36, def37, def38, def39, def4, def40, def41, def42, def43, def44,
        def45, def5, def6, def7, def8, def9, defrozendate, dr, frozendate, frozenje, fundform, genebranprop,
        groupaccount, groupid, isinneracc, ismargin, mainaccount, memo, modifier, modifytime, netqueryflag, orgnumber,
        ownercorp, pk_bankdoc, pk_banktype, pk_corp, pk_currtype, pk_netbankinftp, pk_psnbasdoc, province,
        qrybalanceitf, remcode, signflag, tel, ts, unitname, sts)
        values
        <foreach collection="entities" item="entity" separator=",">
            (#{entity.accattribute},#{entity.accclass},#{entity.accopendate},#{entity.account},#{entity.accountcode},#{entity.accountname},#{entity.accountproperty},#{entity.accstate},#{entity.acctype},#{entity.accxhdate},#{entity.arapprop},#{entity.areacode},#{entity.bankarea},#{entity.city},#{entity.combineaccnum},#{entity.concertedmny},#{entity.contactpsn},#{entity.corrgeneaccount},#{entity.createtime},#{entity.creator},#{entity.custcode},#{entity.def1},#{entity.def10},#{entity.def11},#{entity.def12},#{entity.def13},#{entity.def14},#{entity.def15},#{entity.def16},#{entity.def17},#{entity.def18},#{entity.def19},#{entity.def2},#{entity.def20},#{entity.def21},#{entity.def22},#{entity.def23},#{entity.def24},#{entity.def25},#{entity.def26},#{entity.def27},#{entity.def28},#{entity.def29},#{entity.def3},#{entity.def30},#{entity.def31},#{entity.def32},#{entity.def33},#{entity.def34},#{entity.def35},#{entity.def36},#{entity.def37},#{entity.def38},#{entity.def39},#{entity.def4},#{entity.def40},#{entity.def41},#{entity.def42},#{entity.def43},#{entity.def44},#{entity.def45},#{entity.def5},#{entity.def6},#{entity.def7},#{entity.def8},#{entity.def9},#{entity.defrozendate},#{entity.dr},#{entity.frozendate},#{entity.frozenje},#{entity.fundform},#{entity.genebranprop},#{entity.groupaccount},#{entity.groupid},#{entity.isinneracc},#{entity.ismargin},#{entity.mainaccount},#{entity.memo},#{entity.modifier},#{entity.modifytime},#{entity.netqueryflag},#{entity.orgnumber},#{entity.ownercorp},#{entity.pkBankdoc},#{entity.pkBanktype},#{entity.pkCorp},#{entity.pkCurrtype},#{entity.pkNetbankinftp},#{entity.pkPsnbasdoc},#{entity.province},#{entity.qrybalanceitf},#{entity.remcode},#{entity.signflag},#{entity.tel},#{entity.ts},#{entity.unitname},
            'Y')
        </foreach>
    </insert>
    <!-- 批量新增或者修改-->
    <insert id="entityInsertOrUpdateBatch" keyProperty="pkBankaccbas" useGeneratedKeys="true">
        insert into bd_bankaccbas(accattribute, accclass, accopendate, account, accountcode, accountname,
        accountproperty, accstate, acctype, accxhdate, arapprop, areacode, bankarea, city, combineaccnum, concertedmny,
        contactpsn, corrgeneaccount, createtime, creator, custcode, def1, def10, def11, def12, def13, def14, def15,
        def16, def17, def18, def19, def2, def20, def21, def22, def23, def24, def25, def26, def27, def28, def29, def3,
        def30, def31, def32, def33, def34, def35, def36, def37, def38, def39, def4, def40, def41, def42, def43, def44,
        def45, def5, def6, def7, def8, def9, defrozendate, dr, frozendate, frozenje, fundform, genebranprop,
        groupaccount, groupid, isinneracc, ismargin, mainaccount, memo, modifier, modifytime, netqueryflag, orgnumber,
        ownercorp, pk_bankdoc, pk_banktype, pk_corp, pk_currtype, pk_netbankinftp, pk_psnbasdoc, province,
        qrybalanceitf, remcode, signflag, tel, ts, unitname)
        values
        <foreach collection="entities" item="entity" separator=",">
            (#{entity.accattribute},#{entity.accclass},#{entity.accopendate},#{entity.account},#{entity.accountcode},#{entity.accountname},#{entity.accountproperty},#{entity.accstate},#{entity.acctype},#{entity.accxhdate},#{entity.arapprop},#{entity.areacode},#{entity.bankarea},#{entity.city},#{entity.combineaccnum},#{entity.concertedmny},#{entity.contactpsn},#{entity.corrgeneaccount},#{entity.createtime},#{entity.creator},#{entity.custcode},#{entity.def1},#{entity.def10},#{entity.def11},#{entity.def12},#{entity.def13},#{entity.def14},#{entity.def15},#{entity.def16},#{entity.def17},#{entity.def18},#{entity.def19},#{entity.def2},#{entity.def20},#{entity.def21},#{entity.def22},#{entity.def23},#{entity.def24},#{entity.def25},#{entity.def26},#{entity.def27},#{entity.def28},#{entity.def29},#{entity.def3},#{entity.def30},#{entity.def31},#{entity.def32},#{entity.def33},#{entity.def34},#{entity.def35},#{entity.def36},#{entity.def37},#{entity.def38},#{entity.def39},#{entity.def4},#{entity.def40},#{entity.def41},#{entity.def42},#{entity.def43},#{entity.def44},#{entity.def45},#{entity.def5},#{entity.def6},#{entity.def7},#{entity.def8},#{entity.def9},#{entity.defrozendate},#{entity.dr},#{entity.frozendate},#{entity.frozenje},#{entity.fundform},#{entity.genebranprop},#{entity.groupaccount},#{entity.groupid},#{entity.isinneracc},#{entity.ismargin},#{entity.mainaccount},#{entity.memo},#{entity.modifier},#{entity.modifytime},#{entity.netqueryflag},#{entity.orgnumber},#{entity.ownercorp},#{entity.pkBankdoc},#{entity.pkBanktype},#{entity.pkCorp},#{entity.pkCurrtype},#{entity.pkNetbankinftp},#{entity.pkPsnbasdoc},#{entity.province},#{entity.qrybalanceitf},#{entity.remcode},#{entity.signflag},#{entity.tel},#{entity.ts},#{entity.unitname})
        </foreach>
        on duplicate key update
        accattribute = values(accattribute),
        accclass = values(accclass),
        accopendate = values(accopendate),
        account = values(account),
        accountcode = values(accountcode),
        accountname = values(accountname),
        accountproperty = values(accountproperty),
        accstate = values(accstate),
        acctype = values(acctype),
        accxhdate = values(accxhdate),
        arapprop = values(arapprop),
        areacode = values(areacode),
        bankarea = values(bankarea),
        city = values(city),
        combineaccnum = values(combineaccnum),
        concertedmny = values(concertedmny),
        contactpsn = values(contactpsn),
        corrgeneaccount = values(corrgeneaccount),
        createtime = values(createtime),
        creator = values(creator),
        custcode = values(custcode),
        def1 = values(def1),
        def10 = values(def10),
        def11 = values(def11),
        def12 = values(def12),
        def13 = values(def13),
        def14 = values(def14),
        def15 = values(def15),
        def16 = values(def16),
        def17 = values(def17),
        def18 = values(def18),
        def19 = values(def19),
        def2 = values(def2),
        def20 = values(def20),
        def21 = values(def21),
        def22 = values(def22),
        def23 = values(def23),
        def24 = values(def24),
        def25 = values(def25),
        def26 = values(def26),
        def27 = values(def27),
        def28 = values(def28),
        def29 = values(def29),
        def3 = values(def3),
        def30 = values(def30),
        def31 = values(def31),
        def32 = values(def32),
        def33 = values(def33),
        def34 = values(def34),
        def35 = values(def35),
        def36 = values(def36),
        def37 = values(def37),
        def38 = values(def38),
        def39 = values(def39),
        def4 = values(def4),
        def40 = values(def40),
        def41 = values(def41),
        def42 = values(def42),
        def43 = values(def43),
        def44 = values(def44),
        def45 = values(def45),
        def5 = values(def5),
        def6 = values(def6),
        def7 = values(def7),
        def8 = values(def8),
        def9 = values(def9),
        defrozendate = values(defrozendate),
        dr = values(dr),
        frozendate = values(frozendate),
        frozenje = values(frozenje),
        fundform = values(fundform),
        genebranprop = values(genebranprop),
        groupaccount = values(groupaccount),
        groupid = values(groupid),
        isinneracc = values(isinneracc),
        ismargin = values(ismargin),
        mainaccount = values(mainaccount),
        memo = values(memo),
        modifier = values(modifier),
        modifytime = values(modifytime),
        netqueryflag = values(netqueryflag),
        orgnumber = values(orgnumber),
        ownercorp = values(ownercorp),
        pk_bankdoc = values(pk_bankdoc),
        pk_banktype = values(pk_banktype),
        pk_corp = values(pk_corp),
        pk_currtype = values(pk_currtype),
        pk_netbankinftp = values(pk_netbankinftp),
        pk_psnbasdoc = values(pk_psnbasdoc),
        province = values(province),
        qrybalanceitf = values(qrybalanceitf),
        remcode = values(remcode),
        signflag = values(signflag),
        tel = values(tel),
        ts = values(ts),
        unitname = values(unitname)
    </insert>
    <!--通过主键修改方法-->
    <update id="entity_update" parameterType="com.hzya.frame.plugin.lets.entity.BdBankaccbasEntity">
        update bd_bankaccbas set
        <trim suffix="" suffixOverrides=",">
            <if test="accattribute != null">accattribute = #{accattribute},</if>
            <if test="accclass != null">accclass = #{accclass},</if>
            <if test="accopendate != null and accopendate != ''">accopendate = #{accopendate},</if>
            <if test="account != null and account != ''">account = #{account},</if>
            <if test="accountcode != null and accountcode != ''">accountcode = #{accountcode},</if>
            <if test="accountname != null and accountname != ''">accountname = #{accountname},</if>
            <if test="accountproperty != null">accountproperty = #{accountproperty},</if>
            <if test="accstate != null">accstate = #{accstate},</if>
            <if test="acctype != null">acctype = #{acctype},</if>
            <if test="accxhdate != null and accxhdate != ''">accxhdate = #{accxhdate},</if>
            <if test="arapprop != null">arapprop = #{arapprop},</if>
            <if test="areacode != null and areacode != ''">areacode = #{areacode},</if>
            <if test="bankarea != null and bankarea != ''">bankarea = #{bankarea},</if>
            <if test="city != null and city != ''">city = #{city},</if>
            <if test="combineaccnum != null and combineaccnum != ''">combineaccnum = #{combineaccnum},</if>
            <if test="concertedmny != null">concertedmny = #{concertedmny},</if>
            <if test="contactpsn != null and contactpsn != ''">contactpsn = #{contactpsn},</if>
            <if test="corrgeneaccount != null and corrgeneaccount != ''">corrgeneaccount = #{corrgeneaccount},</if>
            <if test="createtime != null and createtime != ''">createtime = #{createtime},</if>
            <if test="creator != null and creator != ''">creator = #{creator},</if>
            <if test="custcode != null and custcode != ''">custcode = #{custcode},</if>
            <if test="def1 != null and def1 != ''">def1 = #{def1},</if>
            <if test="def10 != null and def10 != ''">def10 = #{def10},</if>
            <if test="def11 != null and def11 != ''">def11 = #{def11},</if>
            <if test="def12 != null and def12 != ''">def12 = #{def12},</if>
            <if test="def13 != null and def13 != ''">def13 = #{def13},</if>
            <if test="def14 != null and def14 != ''">def14 = #{def14},</if>
            <if test="def15 != null and def15 != ''">def15 = #{def15},</if>
            <if test="def16 != null and def16 != ''">def16 = #{def16},</if>
            <if test="def17 != null and def17 != ''">def17 = #{def17},</if>
            <if test="def18 != null and def18 != ''">def18 = #{def18},</if>
            <if test="def19 != null and def19 != ''">def19 = #{def19},</if>
            <if test="def2 != null and def2 != ''">def2 = #{def2},</if>
            <if test="def20 != null and def20 != ''">def20 = #{def20},</if>
            <if test="def21 != null and def21 != ''">def21 = #{def21},</if>
            <if test="def22 != null and def22 != ''">def22 = #{def22},</if>
            <if test="def23 != null and def23 != ''">def23 = #{def23},</if>
            <if test="def24 != null and def24 != ''">def24 = #{def24},</if>
            <if test="def25 != null and def25 != ''">def25 = #{def25},</if>
            <if test="def26 != null and def26 != ''">def26 = #{def26},</if>
            <if test="def27 != null and def27 != ''">def27 = #{def27},</if>
            <if test="def28 != null and def28 != ''">def28 = #{def28},</if>
            <if test="def29 != null and def29 != ''">def29 = #{def29},</if>
            <if test="def3 != null and def3 != ''">def3 = #{def3},</if>
            <if test="def30 != null and def30 != ''">def30 = #{def30},</if>
            <if test="def31 != null and def31 != ''">def31 = #{def31},</if>
            <if test="def32 != null and def32 != ''">def32 = #{def32},</if>
            <if test="def33 != null and def33 != ''">def33 = #{def33},</if>
            <if test="def34 != null and def34 != ''">def34 = #{def34},</if>
            <if test="def35 != null and def35 != ''">def35 = #{def35},</if>
            <if test="def36 != null and def36 != ''">def36 = #{def36},</if>
            <if test="def37 != null and def37 != ''">def37 = #{def37},</if>
            <if test="def38 != null and def38 != ''">def38 = #{def38},</if>
            <if test="def39 != null and def39 != ''">def39 = #{def39},</if>
            <if test="def4 != null and def4 != ''">def4 = #{def4},</if>
            <if test="def40 != null and def40 != ''">def40 = #{def40},</if>
            <if test="def41 != null and def41 != ''">def41 = #{def41},</if>
            <if test="def42 != null and def42 != ''">def42 = #{def42},</if>
            <if test="def43 != null and def43 != ''">def43 = #{def43},</if>
            <if test="def44 != null and def44 != ''">def44 = #{def44},</if>
            <if test="def45 != null and def45 != ''">def45 = #{def45},</if>
            <if test="def5 != null and def5 != ''">def5 = #{def5},</if>
            <if test="def6 != null and def6 != ''">def6 = #{def6},</if>
            <if test="def7 != null and def7 != ''">def7 = #{def7},</if>
            <if test="def8 != null and def8 != ''">def8 = #{def8},</if>
            <if test="def9 != null and def9 != ''">def9 = #{def9},</if>
            <if test="defrozendate != null and defrozendate != ''">defrozendate = #{defrozendate},</if>
            <if test="dr != null">dr = #{dr},</if>
            <if test="frozendate != null and frozendate != ''">frozendate = #{frozendate},</if>
            <if test="frozenje != null">frozenje = #{frozenje},</if>
            <if test="fundform != null">fundform = #{fundform},</if>
            <if test="genebranprop != null">genebranprop = #{genebranprop},</if>
            <if test="groupaccount != null and groupaccount != ''">groupaccount = #{groupaccount},</if>
            <if test="groupid != null and groupid != ''">groupid = #{groupid},</if>
            <if test="isinneracc != null and isinneracc != ''">isinneracc = #{isinneracc},</if>
            <if test="ismargin != null and ismargin != ''">ismargin = #{ismargin},</if>
            <if test="mainaccount != null and mainaccount != ''">mainaccount = #{mainaccount},</if>
            <if test="memo != null and memo != ''">memo = #{memo},</if>
            <if test="modifier != null and modifier != ''">modifier = #{modifier},</if>
            <if test="modifytime != null and modifytime != ''">modifytime = #{modifytime},</if>
            <if test="netqueryflag != null">netqueryflag = #{netqueryflag},</if>
            <if test="orgnumber != null and orgnumber != ''">orgnumber = #{orgnumber},</if>
            <if test="ownercorp != null and ownercorp != ''">ownercorp = #{ownercorp},</if>
            <if test="pkBankdoc != null and pkBankdoc != ''">pk_bankdoc = #{pkBankdoc},</if>
            <if test="pkBanktype != null and pkBanktype != ''">pk_banktype = #{pkBanktype},</if>
            <if test="pkCorp != null and pkCorp != ''">pk_corp = #{pkCorp},</if>
            <if test="pkCurrtype != null and pkCurrtype != ''">pk_currtype = #{pkCurrtype},</if>
            <if test="pkNetbankinftp != null and pkNetbankinftp != ''">pk_netbankinftp = #{pkNetbankinftp},</if>
            <if test="pkPsnbasdoc != null and pkPsnbasdoc != ''">pk_psnbasdoc = #{pkPsnbasdoc},</if>
            <if test="province != null and province != ''">province = #{province},</if>
            <if test="qrybalanceitf != null">qrybalanceitf = #{qrybalanceitf},</if>
            <if test="remcode != null and remcode != ''">remcode = #{remcode},</if>
            <if test="signflag != null and signflag != ''">signflag = #{signflag},</if>
            <if test="tel != null and tel != ''">tel = #{tel},</if>
            <if test="ts != null and ts != ''">ts = #{ts},</if>
            <if test="unitname != null and unitname != ''">unitname = #{unitname},</if>
        </trim>
        where pk_bankaccbas = #{pkBankaccbas}
    </update>
    <!-- 逻辑删除 -->
    <update id="entity_logicDelete" parameterType="com.hzya.frame.plugin.lets.entity.BdBankaccbasEntity">
        update bd_bankaccbas
        set sts= 'N',
            modify_time = #{modify_time},
            modify_user_id = #{modify_user_id}
        where pk_bankaccbas = #{pkBankaccbas}
    </update>
    <!-- 多条件逻辑删除 -->
    <update id="entity_logicDelete_Multi_Condition"
            parameterType="com.hzya.frame.plugin.lets.entity.BdBankaccbasEntity">
        update bd_bankaccbas set sts= 'N' ,modify_time = #{modify_time},modify_user_id = #{modify_user_id}
        <trim prefix="where" prefixOverrides="and">
            <if test="accattribute != null">and accattribute = #{accattribute}</if>
            <if test="accclass != null">and accclass = #{accclass}</if>
            <if test="accopendate != null and accopendate != ''">and accopendate = #{accopendate}</if>
            <if test="account != null and account != ''">and account = #{account}</if>
            <if test="accountcode != null and accountcode != ''">and accountcode = #{accountcode}</if>
            <if test="accountname != null and accountname != ''">and accountname = #{accountname}</if>
            <if test="accountproperty != null">and accountproperty = #{accountproperty}</if>
            <if test="accstate != null">and accstate = #{accstate}</if>
            <if test="acctype != null">and acctype = #{acctype}</if>
            <if test="accxhdate != null and accxhdate != ''">and accxhdate = #{accxhdate}</if>
            <if test="arapprop != null">and arapprop = #{arapprop}</if>
            <if test="areacode != null and areacode != ''">and areacode = #{areacode}</if>
            <if test="bankarea != null and bankarea != ''">and bankarea = #{bankarea}</if>
            <if test="city != null and city != ''">and city = #{city}</if>
            <if test="combineaccnum != null and combineaccnum != ''">and combineaccnum = #{combineaccnum}</if>
            <if test="concertedmny != null">and concertedmny = #{concertedmny}</if>
            <if test="contactpsn != null and contactpsn != ''">and contactpsn = #{contactpsn}</if>
            <if test="corrgeneaccount != null and corrgeneaccount != ''">and corrgeneaccount = #{corrgeneaccount}</if>
            <if test="createtime != null and createtime != ''">and createtime = #{createtime}</if>
            <if test="creator != null and creator != ''">and creator = #{creator}</if>
            <if test="custcode != null and custcode != ''">and custcode = #{custcode}</if>
            <if test="def1 != null and def1 != ''">and def1 = #{def1}</if>
            <if test="def10 != null and def10 != ''">and def10 = #{def10}</if>
            <if test="def11 != null and def11 != ''">and def11 = #{def11}</if>
            <if test="def12 != null and def12 != ''">and def12 = #{def12}</if>
            <if test="def13 != null and def13 != ''">and def13 = #{def13}</if>
            <if test="def14 != null and def14 != ''">and def14 = #{def14}</if>
            <if test="def15 != null and def15 != ''">and def15 = #{def15}</if>
            <if test="def16 != null and def16 != ''">and def16 = #{def16}</if>
            <if test="def17 != null and def17 != ''">and def17 = #{def17}</if>
            <if test="def18 != null and def18 != ''">and def18 = #{def18}</if>
            <if test="def19 != null and def19 != ''">and def19 = #{def19}</if>
            <if test="def2 != null and def2 != ''">and def2 = #{def2}</if>
            <if test="def20 != null and def20 != ''">and def20 = #{def20}</if>
            <if test="def21 != null and def21 != ''">and def21 = #{def21}</if>
            <if test="def22 != null and def22 != ''">and def22 = #{def22}</if>
            <if test="def23 != null and def23 != ''">and def23 = #{def23}</if>
            <if test="def24 != null and def24 != ''">and def24 = #{def24}</if>
            <if test="def25 != null and def25 != ''">and def25 = #{def25}</if>
            <if test="def26 != null and def26 != ''">and def26 = #{def26}</if>
            <if test="def27 != null and def27 != ''">and def27 = #{def27}</if>
            <if test="def28 != null and def28 != ''">and def28 = #{def28}</if>
            <if test="def29 != null and def29 != ''">and def29 = #{def29}</if>
            <if test="def3 != null and def3 != ''">and def3 = #{def3}</if>
            <if test="def30 != null and def30 != ''">and def30 = #{def30}</if>
            <if test="def31 != null and def31 != ''">and def31 = #{def31}</if>
            <if test="def32 != null and def32 != ''">and def32 = #{def32}</if>
            <if test="def33 != null and def33 != ''">and def33 = #{def33}</if>
            <if test="def34 != null and def34 != ''">and def34 = #{def34}</if>
            <if test="def35 != null and def35 != ''">and def35 = #{def35}</if>
            <if test="def36 != null and def36 != ''">and def36 = #{def36}</if>
            <if test="def37 != null and def37 != ''">and def37 = #{def37}</if>
            <if test="def38 != null and def38 != ''">and def38 = #{def38}</if>
            <if test="def39 != null and def39 != ''">and def39 = #{def39}</if>
            <if test="def4 != null and def4 != ''">and def4 = #{def4}</if>
            <if test="def40 != null and def40 != ''">and def40 = #{def40}</if>
            <if test="def41 != null and def41 != ''">and def41 = #{def41}</if>
            <if test="def42 != null and def42 != ''">and def42 = #{def42}</if>
            <if test="def43 != null and def43 != ''">and def43 = #{def43}</if>
            <if test="def44 != null and def44 != ''">and def44 = #{def44}</if>
            <if test="def45 != null and def45 != ''">and def45 = #{def45}</if>
            <if test="def5 != null and def5 != ''">and def5 = #{def5}</if>
            <if test="def6 != null and def6 != ''">and def6 = #{def6}</if>
            <if test="def7 != null and def7 != ''">and def7 = #{def7}</if>
            <if test="def8 != null and def8 != ''">and def8 = #{def8}</if>
            <if test="def9 != null and def9 != ''">and def9 = #{def9}</if>
            <if test="defrozendate != null and defrozendate != ''">and defrozendate = #{defrozendate}</if>
            <if test="dr != null">and dr = #{dr}</if>
            <if test="frozendate != null and frozendate != ''">and frozendate = #{frozendate}</if>
            <if test="frozenje != null">and frozenje = #{frozenje}</if>
            <if test="fundform != null">and fundform = #{fundform}</if>
            <if test="genebranprop != null">and genebranprop = #{genebranprop}</if>
            <if test="groupaccount != null and groupaccount != ''">and groupaccount = #{groupaccount}</if>
            <if test="groupid != null and groupid != ''">and groupid = #{groupid}</if>
            <if test="isinneracc != null and isinneracc != ''">and isinneracc = #{isinneracc}</if>
            <if test="ismargin != null and ismargin != ''">and ismargin = #{ismargin}</if>
            <if test="mainaccount != null and mainaccount != ''">and mainaccount = #{mainaccount}</if>
            <if test="memo != null and memo != ''">and memo = #{memo}</if>
            <if test="modifier != null and modifier != ''">and modifier = #{modifier}</if>
            <if test="modifytime != null and modifytime != ''">and modifytime = #{modifytime}</if>
            <if test="netqueryflag != null">and netqueryflag = #{netqueryflag}</if>
            <if test="orgnumber != null and orgnumber != ''">and orgnumber = #{orgnumber}</if>
            <if test="ownercorp != null and ownercorp != ''">and ownercorp = #{ownercorp}</if>
            <if test="pkBankaccbas != null and pkBankaccbas != ''">and pk_bankaccbas = #{pkBankaccbas}</if>
            <if test="pkBankdoc != null and pkBankdoc != ''">and pk_bankdoc = #{pkBankdoc}</if>
            <if test="pkBanktype != null and pkBanktype != ''">and pk_banktype = #{pkBanktype}</if>
            <if test="pkCorp != null and pkCorp != ''">and pk_corp = #{pkCorp}</if>
            <if test="pkCurrtype != null and pkCurrtype != ''">and pk_currtype = #{pkCurrtype}</if>
            <if test="pkNetbankinftp != null and pkNetbankinftp != ''">and pk_netbankinftp = #{pkNetbankinftp}</if>
            <if test="pkPsnbasdoc != null and pkPsnbasdoc != ''">and pk_psnbasdoc = #{pkPsnbasdoc}</if>
            <if test="province != null and province != ''">and province = #{province}</if>
            <if test="qrybalanceitf != null">and qrybalanceitf = #{qrybalanceitf}</if>
            <if test="remcode != null and remcode != ''">and remcode = #{remcode}</if>
            <if test="signflag != null and signflag != ''">and signflag = #{signflag}</if>
            <if test="tel != null and tel != ''">and tel = #{tel}</if>
            <if test="ts != null and ts != ''">and ts = #{ts}</if>
            <if test="unitname != null and unitname != ''">and unitname = #{unitname}</if>
            and sts='Y'
        </trim>
    </update>
    <!--通过主键删除-->
    <delete id="entity_delete">
        delete
        from bd_bankaccbas
        where pk_bankaccbas = #{pkBankaccbas}
    </delete>

</mapper>

